Delete a test part and all its sections
curl --request DELETE \
--url https://qti.alpha-1edtech.ai/api/assessment-tests/{assessmentTestIdentifier}/test-parts/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://qti.alpha-1edtech.ai/api/assessment-tests/{assessmentTestIdentifier}/test-parts/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qti.alpha-1edtech.ai/api/assessment-tests/{assessmentTestIdentifier}/test-parts/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"eventId": "<string>"
}Test Part Management
Delete a test part and all its sections
Permanently delete a test part from an assessment test. This removes the test part and all its sections (but not the underlying assessment items). The assessment test’s XML structure is automatically updated.
DELETE
/
assessment-tests
/
{assessmentTestIdentifier}
/
test-parts
/
{identifier}
Delete a test part and all its sections
Authorizations
OAuth2MCP
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the parent assessment test
The unique identifier of the test part to delete
Response
⌘I